
$(document).ready(function(){
	var data = "return/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_date_return").html('');
		$("#error_customer").html('');
		$("#error_ekspedisi").html('');
		$("#error_packaging").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "return/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_date_return").html(hasil.error.date_return);
					$("#error_customer").html(hasil.error.customer);
					$("#error_ekspedisi").html(hasil.error.ekspedisi);
					$("#error_packaging").html(hasil.error.packaging);
				} else {
					$('#modal-tambah').modal('hide');
					$("#date_return").val('');
					$("#customer").val('');
					$("#ekspedisi").val('');
					$("#detail_ekspedisi").val('');
					$("#packaging").val('');
					$("#qty").val('');
					$("#qty2").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('return/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_date_return").html('');
		$("#error_customer").html('');
		$("#error_ekspedisi").html('');

		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "return/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_date_return").html(hasil.error.edit_date_return);
					$("#error_edit_customer").html(hasil.error.edit_customer);
					$("#error_edit_ekspedisi").html(hasil.error.edit_ekspedisi);
				} else {
					$('#modal-edit').modal('hide');
					$("#date_return").val('');
					$("#customer").val('');
					$("#ekspedisi").val('');
					$("#qty").val('');
					$("#qty2").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).ready(function(){
		$('.input-tanggal').datepicker({
			dateFormat: 'yy-mm-dd'
		});		
	});	

	$(document).ready(function() {
		$('#poor2').hide();
		$("#poor").change(function() {
				var val = $(this).val();      
				if (val == 'supplain') {
					$('#poor2').show();
				} else {
					$('#poor2').hide();
				}
			}).change();
		});

	$('#ekspedisi').on('change', function(){
		$.get('return/things3.php?ekspedisi=' + $('#ekspedisi').val(), function(data) {
				//fungsi eksekusi func. Ajax
				$('#container3').html(data);
		});
	  });

	$('#packaging').on('change', function(){
		$.get('return/things2.php?packaging=' + $('#packaging').val(), function(data) {
				//fungsi eksekusi func. Ajax
				$('#container2').html(data);
		});
	  });


});